<div id="EcGroup" style="display:none" class="well NrlDialog" data-ng-controller="EcGroup.PageController" data-on-key-down="navigateBackward()" data-keys="[27]">
    <div data-on-key-down="onEscWhileInDialog()" data-keys="[27]">
        <div data-alert="" data-ng-repeat="alert in pageModel.alerts" data-type="alert.type" data-close="closeAlert($index)">
            <div data-ng-bind-html-unsafe="alert.msg"></div>
        </div>
        <div id="EcGroup_ControllerGrpEcGroup" data-ng-controller="EcGroup.ControllerGrpEcGroup" data-ng-class="'FloatLeft'" data-ng-show="!isInvisible()" >
            <div class="FormArea"  >
                <table>
                    <tr>
                        <td colspan="1" style="width:16%" >
                            <label class="pull-left" for="GrpEcGroup_itm__name"  data-ng-bind="getALString('Name')"  data-ng-class="!GrpEcGroup_itm__name_disabled(modelGrpEcGroup.selectedEntities[0])&&true&&'requiredAsterisk'" />
                        </td>
                        <td colspan="1" style="width:16%" >
                            <label class="pull-left" for="GrpEcGroup_itm__description"  data-ng-bind="getALString('Description')"   />
                        </td>
                        <td colspan="1" style="width:16%" >
                            <label class="pull-left" for="GrpEcGroup_itm__cropLevel"  data-ng-bind="getALString('Crop Level')"  data-ng-class="!GrpEcGroup_itm__cropLevel_disabled(modelGrpEcGroup.selectedEntities[0])&&true&&'requiredAsterisk'" />
                        </td>
                        <td colspan="1"  >
                        </td>
                        <td colspan="1"  >
                        </td>
                        <td colspan="1"  >
                        </td>
                    </tr>
                    <tr>
                        <td colspan="1" style="width:16%" >
                            <input name='GrpEcGroup_itm__name' data-ng-model='modelGrpEcGroup.selectedEntities[0].name' data-np-ui-model='modelGrpEcGroup.selectedEntities[0]._name' data-ng-change='markEntityAsUpdated(modelGrpEcGroup.selectedEntities[0],&quot;name&quot;)' data-np-required='true' data-ng-readonly='GrpEcGroup_itm__name_disabled(modelGrpEcGroup.selectedEntities[0])' data-np-text='dummy' />
                        </td>
                        <td colspan="1" style="width:16%" >
                            <input name='GrpEcGroup_itm__description' data-ng-model='modelGrpEcGroup.selectedEntities[0].description' data-np-ui-model='modelGrpEcGroup.selectedEntities[0]._description' data-ng-change='markEntityAsUpdated(modelGrpEcGroup.selectedEntities[0],&quot;description&quot;)' data-ng-readonly='GrpEcGroup_itm__description_disabled(modelGrpEcGroup.selectedEntities[0])' data-np-text='dummy' />
                        </td>
                        <td colspan="1" style="width:16%" >
                            <select name='GrpEcGroup_itm__cropLevel' data-ng-model='modelGrpEcGroup.selectedEntities[0].cropLevel' data-np-ui-model='modelGrpEcGroup.selectedEntities[0]._cropLevel' data-ng-change='markEntityAsUpdated(modelGrpEcGroup.selectedEntities[0], &quot;cropLevel&quot;);cropLevelChange(modelGrpEcGroup.selectedEntities[0])' data-np-required='true' data-np-select='dummy' data-ng-options='x.value as x.label for x in [{label:getALString("DropDownList_ChooseOne"), value:null}, {label:getALString("Crop"), value:0}, {label:getALString("Land Cover"), value:1}, {label:getALString("Crop to Land Cover"), value:2}]' data-ng-disabled='GrpEcGroup_itm__cropLevel_disabled(modelGrpEcGroup.selectedEntities[0])' />
                        </td>
                        <td colspan="1"  >
                        </td>
                        <td colspan="1"  >
                        </td>
                        <td colspan="1"  >
                        </td>
                    </tr>
                </table>
            </div>
            <div style='margin:1em 0'></div>
            <div id="EcGroup_ControllerGrpEcCult" data-ng-controller="EcGroup.ControllerGrpEcCult" data-ng-class="'FloatLeft'" data-ng-show="!isInvisible()" >
                <div data-on-key-down="gridPageUp()" data-keys="[33]" class="NpTable">
                    <div class="TopGridArea">
                        <button data-np-click="createNewEntityAndAddToUI()" data-ng-disabled="newIsDisabled()" ><i class="icon new"></i>{{getALString("New Record")}}</button>
                        <h3>{{getALString(gridTitle())}}</h3>
                    </div>
                    <div data-on-key-down="gridPageDown()" data-keys="[34]">
                        <div id="GrpEcCult_tableId" data-ng-grid="modelGrpEcCult.grid" class="gridStyle">
                        </div>
                    </div>
                </div>
                <div style='margin:1em 0'></div>
                <div id="EcGroup_ControllerGrpEcCultDetail" data-ng-controller="EcGroup.ControllerGrpEcCultDetail" data-ng-class="'FloatLeft'" data-ng-show="!isInvisible()" >
                    <div data-on-key-down="gridPageUp()" data-keys="[33]" class="NpTable">
                        <div class="TopGridArea">
                            <button data-np-click="createNewEntityAndAddToUI()" data-ng-disabled="newIsDisabled()" ><i class="icon new"></i>{{getALString("New Record")}}</button>
                            <h3>{{getALString(gridTitle())}}</h3>
                        </div>
                        <div data-on-key-down="gridPageDown()" data-keys="[34]">
                            <div id="GrpEcCultDetail_tableId" data-ng-grid="modelGrpEcCultDetail.grid" class="gridStyle">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div style='margin:1em 0'></div>
            <div id="EcGroup_ControllerEcCultCover" data-ng-controller="EcGroup.ControllerEcCultCover" data-ng-class="'FloatLeft'" data-ng-show="!isInvisible()" >
                <div data-on-key-down="gridPageUp()" data-keys="[33]" class="NpTable">
                    <div class="TopGridArea">
                        <button data-np-click="createNewEntityAndAddToUI()" data-ng-disabled="newIsDisabled()" ><i class="icon new"></i>{{getALString("New Record")}}</button>
                        <h3>{{getALString(gridTitle())}}</h3>
                    </div>
                    <div data-on-key-down="gridPageDown()" data-keys="[34]">
                        <div id="EcCultCover_tableId" data-ng-grid="modelEcCultCover.grid" class="gridStyle">
                        </div>
                    </div>
                </div>
                <div style='margin:1em 0'></div>
                <div id="EcGroup_ControllerEcCultDetailCover" data-ng-controller="EcGroup.ControllerEcCultDetailCover" data-ng-class="'FloatLeft'" data-ng-show="!isInvisible()" >
                    <div data-on-key-down="gridPageUp()" data-keys="[33]" class="NpTable">
                        <div class="TopGridArea">
                            <button data-np-click="createNewEntityAndAddToUI()" data-ng-disabled="newIsDisabled()" ><i class="icon new"></i>{{getALString("New Record")}}</button>
                            <h3>{{getALString(gridTitle())}}</h3>
                        </div>
                        <div data-on-key-down="gridPageDown()" data-keys="[34]">
                            <div id="EcCultDetailCover_tableId" data-ng-grid="modelEcCultDetailCover.grid" class="gridStyle">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div style='margin:1em 0'></div>
            <div id="EcGroup_ControllerEcCultSuper" data-ng-controller="EcGroup.ControllerEcCultSuper" data-ng-class="'FloatLeft'" data-ng-show="!isInvisible()" >
                <div data-on-key-down="gridPageUp()" data-keys="[33]" class="NpTable">
                    <div class="TopGridArea">
                        <button data-np-click="createNewEntityAndAddToUI()" data-ng-disabled="newIsDisabled()" ><i class="icon new"></i>{{getALString("New Record")}}</button>
                        <h3>{{getALString(gridTitle())}}</h3>
                    </div>
                    <div data-on-key-down="gridPageDown()" data-keys="[34]">
                        <div id="EcCultSuper_tableId" data-ng-grid="modelEcCultSuper.grid" class="gridStyle">
                        </div>
                    </div>
                </div>
                <div style='margin:1em 0'></div>
                <div id="EcGroup_ControllerEcCultDetailSuper" data-ng-controller="EcGroup.ControllerEcCultDetailSuper" data-ng-class="'FloatLeft'" data-ng-show="!isInvisible()" >
                    <div data-on-key-down="gridPageUp()" data-keys="[33]" class="NpTable">
                        <div class="TopGridArea">
                            <button data-np-click="createNewEntityAndAddToUI()" data-ng-disabled="newIsDisabled()" ><i class="icon new"></i>{{getALString("New Record")}}</button>
                            <h3>{{getALString(gridTitle())}}</h3>
                        </div>
                        <div data-on-key-down="gridPageDown()" data-keys="[34]">
                            <div id="EcCultDetailSuper_tableId" data-ng-grid="modelEcCultDetailSuper.grid" class="gridStyle">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div>
            <div class="saveCancel">
                <button  id="saveBtn_id"   data-np-click  ="onSaveBtnAction()" data-ng-class="" 
                data-ng-disabled="saveIsDisabled()"  >
                    <i class="icon save"/>
                    {{getALString(getLabelById('saveBtn_id'))}}
                </button>

                <button  id="cancelBtn_id"   data-np-click  ="onCancelBtnAction()" data-ng-class="" 
                data-ng-disabled="cancelIsDisabled()"  >
                    <i class="icon back"/>
                    {{getALString(getLabelById('cancelBtn_id'))}}
                </button>

            </div>
        </div>
        <div style="clear:both"></div>
    </div>
</div>
